Index: XMLIO_V2/dev/dev_rv/bld.cfg
===================================================================
--- XMLIO_V2/dev/dev_rv/bld.cfg	(revision 139)
+++ 	(revision )
@@ -1,41 +1,0 @@
-# ----------------------- FCM extract configuration file -----------------------
-cfg::type                           bld
-cfg::version                        1.0
-
-
-# ------------------------------------------------------------------------------
-# Build information
-# ------------------------------------------------------------------------------
-
-inc arch.fcm
-inc config.fcm
-
-%CFLAGS           %BASE_CFLAGS %COMPIL_CFLAGS
-%FFLAGS           %BASE_FFLAGS %COMPIL_FFLAGS
-%LD_FLAGS         %BASE_LD
-
-
-dest::root   $PWD
-
-bld::infile_ext::cpp C::SOURCE
-bld::infile_ext::hpp  CPP::INCLUDE
-
-
-search_src           false
-src::xmlio XMLIO
-bld::lib::xmlio xmlio
-bld::target libxmlio.a
-bld::target main.exe
-bld::exe_dep
-
-bld::tool::cc        %CCOMPILER
-bld::tool::fc        %FCOMPILER
-bld::tool::cppflags  -I${PWD}/../external/include
-bld::tool::ld        %LINKER
-bld::tool::ldflags   %LD_FLAGS -L${PWD}/../external/lib -L/local/XMLIOSERVER_DEV/dev_rv/netcdf-4.1.1/final/lib/ -lnetcdf_c++ -lnetcdf -lhdf5_hl -lhdf5 -lz -lblitz -lPOCO_XML -lPOCO_Foundation -lpthread -lstdc++
-bld::tool::cflags    %CFLAGS -I${PWD}/../external/include -I/local/XMLIOSERVER_DEV/dev_rv/netcdf-4.1.1/final/include/
-bld::tool::fflags    %FFLAGS
-
-# Pre-process code before analysing dependencies
-bld::pp              false
-
Index: XMLIO_V2/dev/dev_rv/iodef_test.xml
===================================================================
--- XMLIO_V2/dev/dev_rv/iodef_test.xml	(revision 139)
+++ 	(revision )
@@ -1,291 +1,0 @@
-<?xml version="1.0"?>
-
-<simulation>
-
-<context id='nemo'>
-<!-- definition des groupes -->
-  <field_definition level="1" prec="4" operation="ave(X)" freq_op="7200" enabled=".TRUE.">
-
-     <field_group id="grid_T" axis_ref="none" grid_ref="grid_T">
-       <field id="votemper" description="Temperature"                       unit="C"    axis_ref="deptht" />
-       <field id="vosaline" description="Salinity"                          unit="PSU"  axis_ref="deptht" />
-       <field id="sosstsst" description="Sea Surface temperature"           unit="C"   />
-       <field id="sosaline" description="Sea Surface Salinity"              unit="PSU"  />
-       <field id="sobarstf" description="Barotropic StreamFunction"         unit="m3/s2"  />
-       <field id="sossheig" description="Sea Surface Height"                unit="m"  />
-       <field id="iowaflup" description="Ice=>ocean net freshwater"         unit="kg/m2/s"  />
-       <field id="sowaflep" description="atmos=>ocean net freshwater"       unit="kg/m2/s"   />
-       <field id="sowaflup" description="Net Upward Water Flux"             unit="Kg/m2/s"   />
-       <field id="sorunoff" description="Runoffs"                           unit="Kg/m2/s"    />
-       <field id="sowaflcd" description="concentration/dilution water flux" unit="Kg/m2/s"   />
-       <field id="sosalflx" description="Surface Salt Flux"                 unit="Kg/m2/s"   />
-       <field id="sohefldo" description="Net Downward Heat Flux"            unit="W/m2"   />
-       <field id="soshfldo" description="Shortwave Radiation"               unit="W/m2"   />
-       <field id="somxl010" description="Mixed Layer Depth 0.01"            unit="m"  />
-       <field id="somixhgt" description="Turbocline Depth"                  unit="m"   />
-       <field id="soicecov" description="Ice Cover"                         unit="[0,1]"   />
-       <field id="sohefldp" description="Surface Heat Flux: Damping"        unit="W/m2"      enabled=".FALSE."/>
-       <field id="sowafldp" description="Surface Water Flux: Damping"       unit="Kg/m2/s"   enabled=".FALSE."/>
-       <field id="sosafldp" description="Surface salt flux: Damping"        unit="Kg/m2/s"   enabled=".FALSE."/>
-       <field id="sosurfps" description="Surface Pressure"                  unit="cm"   />
-       <field id="sobowlin" description="Bowl Index"                        unit="W-point"  />
-       <field id="sothedep" description="Thermocline Depth"                 unit="m"   />
-       <field id="so20chgt" description="Depth of 20C isotherm"             unit="m"  />
-       <field id="so28chgt" description="Depth of 28C isotherm"             unit="m"   />
-       <field id="sohtc300" description="Heat content 300 m"                unit="W" />
-       <field id="soicetem" description="Ice Surface Temperature"           unit="K"   />
-       <field id="soicealb" description="Ice Albedo"                        unit="[0,1]"   />
-     </field_group>
-
-     <field_group id="grid_U"  axis_ref="none" grid_ref="grid_U" src="/local/XMLIOSERVER_DEV/dev_rv/iodef_test_include.xml">
-       <field id="sozotaux" description="Wind Stress along i-axis"        unit="N/m2"    />
-       <field id="sozospgx" description="Zonal Surface Pressure Gradient" unit="N/kg"  />
-     </field_group>
-
-     <field_group id="grid_V"  axis_ref="none" grid_ref="grid_V">
-       <field id="vomecrty" description="Meridional Current"                unit="m/s"  axis_ref="depthv" />
-       <field id="vomeeivv" description="Meridional EIV Current"            unit="m/s"  axis_ref="depthv" />
-       <field id="sometauy" description="Wind Stress along j-axis"          unit="N/m2"  />
-       <field id="somespgy" description="Meridional Surface Pressure Grad." unit="N/kg"  />
-     </field_group>
-
-     <field_group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
-       <field id="vovecrtz" description="Vertical Velocity"                   unit="m/s"   />
-       <field id="voveeivw" description="Vertical EIV Velocity"               unit="m/s"   />
-       <field id="votkeavt" description="Vertical Eddy Diffusivity"           unit="m2/s"  />
-       <field id="votkeevd" description="Enhanced Vertical Diffusivity"       unit="m2/s"  />
-       <field id="votkeavm" description="Vertical Eddy Viscosity"             unit="m2/s"  />
-       <field id="votkeevm" description="Enhanced Vertical Viscosity"         unit="m2/s"  />
-       <field id="soleahtw" description="lateral eddy diffusivity"            unit="m2/s"  />
-       <field id="soleaeiw" description="eddy induced vel. coeff. at w-point" unit="m2/s"  />
-     </field_group>
-
-  </field_definition>
-
-<!-- definition des fichiers histoires -->
-
-  <file_definition output_level="10" enabled=".TRUE.">
-
-     <file id="GYRE_1d_grid_T" name="grid_T" description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="votemper"  />
-       <field field_ref="vosaline"  />
-       <field field_ref="sosstsst"  />
-       <field field_ref="sosaline"  />
-       <field field_ref="sobarstf"  />
-       <field field_ref="sossheig"  />
-       <field field_ref="iowaflup"  />
-       <field field_ref="sowaflep"  />
-       <field field_ref="sowaflup"  />
-       <field field_ref="sosalflx"  />
-       <field field_ref="soshfldo"  />
-       <field field_ref="sorunoff"  />
-       <field field_ref="sowaflcd"  />
-       <field field_ref="sohefldo"  />
-       <field field_ref="somxl010"  />
-       <field field_ref="somixhgt"  />
-       <field field_ref="soicecov"  />
-       <field field_ref="sohefldp"  />
-       <field field_ref="sowafldp"  />
-       <field field_ref="sosafldp"  />
-       <field field_ref="sosurfps"  />
-       <field field_ref="sobowlin"  />
-       <field field_ref="sothedep"  />
-       <field field_ref="so20chgt"  />
-       <field field_ref="so28chgt"  />
-       <field field_ref="sohtc300"  />
-       <field field_ref="soicetem"  />
-       <field field_ref="soicealb"  />
-    </file>
-   <file_group id="file_id">
-    <file id="GYRE_1d_grid_U" description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="votemper"  enabled=".FALSE." />
-       <field field_ref="vozocrtx"  />
-       <field field_ref="vozoeivu"  />
-       <field field_ref="sozotaux"  />
-       <field field_ref="sozospgx"  />
-    </file>
-
-    <file id="GYRE_1d_grid_V" description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="vomecrty"  />
-       <field field_ref="vomeeivv"  />
-       <field field_ref="sometauy"  />
-       <field field_ref="somespgy"  />
-    </file>
-   </file_group>
-    <file id="GYRE_1d_grid_W" description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="vovecrtz" />
-       <field field_ref="voveeivw" />
-       <field field_ref="votkeavt" />
-       <field field_ref="votkeevd" />
-       <field field_ref="votkeavm" />
-       <field field_ref="votkeevm" />
-       <field field_ref="soleahtw" />
-       <field field_ref="soleaeiw" />
-    </file>
-
-  </file_definition>
-
-
-  <axis_definition>
-     <axis id="deptht" description="Vertical T levels" unit="m" />
-     <axis id="depthu" description="Vertical U levels" unit="m" />
-     <axis id="depthv" description="Vertical V levels" unit="m" />
-     <axis id="depthw" description="Vertical W levels" unit="m" />
-     <axis id="none" description="axe non defini" unit="none" />
-  </axis_definition>
-
-  <grid_definition>
-    <grid id="grid_T" description="grid T" />
-    <grid id="grid_U" description="grid U" />
-    <grid id="grid_V" description="grid V" />
-    <grid id="grid_W" description="grid W" />
-  </grid_definition>
-
-</context>
-
-<context id="nemo_bis">
-
-<!-- definition des groupes -->
-
-  <field_definition level="1" prec="4" operation="ave(X)" freq_op="7200" enabled=".TRUE.">
-
-     <field_group id="grid_T" axis_ref="none" grid_ref="grid_T">
-       <field id="votemper" description="Temperature"                       unit="C"    axis_ref="deptht" />
-       <field id="vosaline" description="Salinity"                          unit="PSU"  axis_ref="deptht" />
-       <field id="sosstsst" description="Sea Surface temperature"           unit="C"   />
-       <field id="sosaline" description="Sea Surface Salinity"              unit="PSU"  />
-       <field id="sobarstf" description="Barotropic StreamFunction"         unit="m3/s2"  />
-       <field id="sossheig" description="Sea Surface Height"                unit="m"  />
-       <field id="iowaflup" description="Ice=>ocean net freshwater"         unit="kg/m2/s"  />
-       <field id="sowaflep" description="atmos=>ocean net freshwater"       unit="kg/m2/s"   />
-       <field id="sowaflup" description="Net Upward Water Flux"             unit="Kg/m2/s"   />
-       <field id="sorunoff" description="Runoffs"                           unit="Kg/m2/s"    />
-       <field id="sowaflcd" description="concentration/dilution water flux" unit="Kg/m2/s"   />
-       <field id="sosalflx" description="Surface Salt Flux"                 unit="Kg/m2/s"   />
-       <field id="sohefldo" description="Net Downward Heat Flux"            unit="W/m2"   />
-       <field id="soshfldo" description="Shortwave Radiation"               unit="W/m2"   />
-       <field id="somxl010" description="Mixed Layer Depth 0.01"            unit="m"  />
-       <field id="somixhgt" description="Turbocline Depth"                  unit="m"   />
-       <field id="soicecov" description="Ice Cover"                         unit="[0,1]"   />
-       <field id="sohefldp" description="Surface Heat Flux: Damping"        unit="W/m2"      enabled=".FALSE."/>
-       <field id="sowafldp" description="Surface Water Flux: Damping"       unit="Kg/m2/s"   enabled=".FALSE."/>
-       <field id="sosafldp" description="Surface salt flux: Damping"        unit="Kg/m2/s"   enabled=".FALSE."/>
-       <field id="sosurfps" description="Surface Pressure"                  unit="cm"   />
-       <field id="sobowlin" description="Bowl Index"                        unit="W-point"  />
-       <field id="sothedep" description="Thermocline Depth"                 unit="m"   />
-       <field id="so20chgt" description="Depth of 20C isotherm"             unit="m"  />
-       <field id="so28chgt" description="Depth of 28C isotherm"             unit="m"   />
-       <field id="sohtc300" description="Heat content 300 m"                unit="W" />
-       <field id="soicetem" description="Ice Surface Temperature"           unit="K"   />
-       <field id="soicealb" description="Ice Albedo"                        unit="[0,1]"   />
-     </field_group>
-
-     <field_group id="grid_U"  axis_ref="none" grid_ref="grid_U">
-       <field id="vozocrtx" description="Zonal Current"                   unit="m/s"  axis_ref="depthu" />
-       <field id="vozoeivu" description="Zonal EIV Current"               unit="m/s"   axis_ref="depthu" />
-       <field id="sozotaux" description="Wind Stress along i-axis"        unit="N/m2"    />
-       <field id="sozospgx" description="Zonal Surface Pressure Gradient" unit="N/kg"  />
-     </field_group>
-
-     <field_group id="grid_V" axis_ref="none" grid_ref="grid_V">
-       <field id="vomecrty" description="Meridional Current"                unit="m/s"  axis_ref="depthv" />
-       <field id="vomeeivv" description="Meridional EIV Current"            unit="m/s"  axis_ref="depthv" />
-       <field id="sometauy" description="Wind Stress along j-axis"          unit="N/m2"  />
-       <field id="somespgy" description="Meridional Surface Pressure Grad." unit="N/kg"  />
-     </field_group>
-
-     <field_group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
-       <field id="vovecrtz" description="Vertical Velocity"                   unit="m/s"   />
-       <field id="voveeivw" description="Vertical EIV Velocity"               unit="m/s"   />
-       <field id="votkeavt" description="Vertical Eddy Diffusivity"           unit="m2/s"  />
-       <field id="votkeevd" description="Enhanced Vertical Diffusivity"       unit="m2/s"  />
-       <field id="votkeavm" description="Vertical Eddy Viscosity"             unit="m2/s"  />
-       <field id="votkeevm" description="Enhanced Vertical Viscosity"         unit="m2/s"  />
-       <field id="soleahtw" description="lateral eddy diffusivity"            unit="m2/s"  />
-       <field id="soleaeiw" description="eddy induced vel. coeff. at w-point" unit="m2/s"  />
-     </field_group>
-
-  </field_definition>
-
-<!-- definition des fichiers histoires -->
-
-  <file_definition output_level="10" enabled=".TRUE.">
-
-     <file id="GYRE_1d_grid_T" name="grid_T_bis"  description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="votemper"  />
-       <field field_ref="vosaline"  />
-       <field field_ref="sosstsst"  />
-       <field field_ref="sosaline"  />
-       <field field_ref="sobarstf"  />
-       <field field_ref="sossheig"  />
-       <field field_ref="iowaflup"  />
-       <field field_ref="sowaflep"  />
-       <field field_ref="sowaflup"  />
-       <field field_ref="sosalflx"  />
-       <field field_ref="soshfldo"  />
-       <field field_ref="sorunoff"  />
-       <field field_ref="sowaflcd"  />
-       <field field_ref="sohefldo"  />
-       <field field_ref="somxl010"  />
-       <field field_ref="somixhgt"  />
-       <field field_ref="soicecov"  />
-       <field field_ref="sohefldp"  />
-       <field field_ref="sowafldp"  />
-       <field field_ref="sosafldp"  />
-       <field field_ref="sosurfps"  />
-       <field field_ref="sobowlin"  />
-       <field field_ref="sothedep"  />
-       <field field_ref="so20chgt"  />
-       <field field_ref="so28chgt"  />
-       <field field_ref="sohtc300"  />
-       <field field_ref="soicetem"  />
-       <field field_ref="soicealb"  />
-    </file>
-
-    <file id="GYRE_1d_grid_U" name="GYRE_1d_grid_U_bis" description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="votemper"  enabled=".FALSE." />
-       <field field_ref="vozocrtx"  />
-       <field field_ref="vozoeivu"  />
-       <field field_ref="sozotaux"  />
-       <field field_ref="sozospgx"  />
-    </file>
-
-    <file id="GYRE_1d_grid_V" name="GYRE_1d_grid_V_bis" description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="vomecrty"  />
-       <field field_ref="vomeeivv"  />
-       <field field_ref="sometauy"  />
-       <field field_ref="somespgy"  />
-    </file>
-
-    <file id="GYRE_1d_grid_W" name="GYRE_1d_grid_W_bis"  description="fichier de sortie journaliere" output_freq="86400" output_level="5" >
-       <field field_ref="vovecrtz" />
-       <field field_ref="voveeivw" />
-       <field field_ref="votkeavt" />
-       <field field_ref="votkeevd" />
-       <field field_ref="votkeavm" />
-       <field field_ref="votkeevm" />
-       <field field_ref="soleahtw" />
-       <field field_ref="soleaeiw" />
-    </file>
-
-  </file_definition>
-
-
-  <axis_definition>
-     <axis id="deptht" description="Vertical T levels" unit="m" />
-     <axis id="depthu" description="Vertical U levels" unit="m" />
-     <axis id="depthv" description="Vertical V levels" unit="m" />
-     <axis id="depthw" description="Vertical W levels" unit="m" />
-     <axis id="none" description="axe non defini" unit="none" />
-  </axis_definition>
-
-  <grid_definition>
-    <grid id="grid_T" description="grid T" />
-    <grid id="grid_U" description="grid U" />
-    <grid id="grid_V" description="grid V" />
-    <grid id="grid_W" description="grid W" />
-  </grid_definition>
-
-</context>
-
-</simulation>
Index: XMLIO_V2/dev/dev_rv/iodef_test_include.xml
===================================================================
--- XMLIO_V2/dev/dev_rv/iodef_test_include.xml	(revision 139)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<?xml version="1.0"?>
-
-<field_group>
-	<field id="vozocrtx" description="Zonal Current" unit="m/s"  axis_ref="depthu" />
-	<field id="vozoeivu" description="Zonal EIV Current"  unit="m/s"   axis_ref="depthu" />
-	<field_group enabled=".TRUE.">
-		<field id="id1" description="t1" unit="m/s"  axis_ref="depthu" />
-		<field id="id2" description="t2"  unit="m/s"   axis_ref="depthu" />
-	</field_group>
-</field_group>
Index: XMLIO_V2/dev/dev_rv/make_xmlioserver
===================================================================
--- XMLIO_V2/dev/dev_rv/make_xmlioserver	(revision 139)
+++ 	(revision )
@@ -1,71 +1,0 @@
-#!/bin/bash
-set -x
-export PATH=$PWD/../tools/FCM/bin:$PATH
-
-compil_mode_defined="FALSE"
-compil_mode="prod"
-
-arch_defined="FALSE"
-arch=""
-
-while (($# > 0))
-  do
-  case $1 in
-      "-h") cat <<fin
-Usage :
-makegcm [options] -m arch exec
-[-h]                       : help
-[-prod / -dev / -debug]    : compilation en mode production (default) / developpement / debug .
- -arch nom_arch            : nom de l\'architecture cible
-fin
-	  exit;;
-
-      "-prod")
-	  compil_mode="prod" ; shift ;;
-
-      "-dev")
-	  compil_mode="dev" ; shift ;;
-
-      "-debug")
-	  compil_mode="debug" ; shift ;;
-
-      "-arch")
-	  arch=$2 ; arch_defined="TRUE"; shift ; shift ;;
-
-      *)
-	  code="$1" ; shift ;;
-  esac
-done
-
-if [[ "$arch_defined" == "TRUE" ]]
-then
-  rm -f arch.path
-  rm -f arch.fcm
-  ln -s arch/arch-${arch}.path ./arch.path
-  ln -s arch/arch-${arch}.fcm  ./arch.fcm
-  source arch.path
-else
-  echo "Veuillez definir une architecture cible"
-  exit 1
-fi
-
-if [[ "$compil_mode" == "prod" ]]
-then
-  COMPIL_CFLAGS="%PROD_CFLAGS"
-  COMPIL_FFLAGS="%PROD_FFLAGS"
-elif [[ "$compil_mode" == "dev" ]]
-then
-  COMPIL_CFLAGS="%DEV_CFLAGS"
-  COMPIL_FFLAGS="%DEV_FFLAGS"
-elif [[ "$compil_mode" == "debug" ]]
-then
-  COMPIL_CFLAGS="%DEBUG_CFLAGS"
-  COMPIL_FFLAGS="%DEBUG_FFLAGS"
-fi
-
-rm -f config.fcm
-
-echo "%COMPIL_CFLAGS $COMPIL_CFLAGS" >> config.fcm
-echo "%COMPIL_FFLAGS $COMPIL_FFLAGS" >> config.fcm
-
-fcm build