Index: XMLIO_V2/dev/dev_rv/rsrc/logoIPSL_32x32.led
===================================================================
--- XMLIO_V2/dev/dev_rv/rsrc/logoIPSL_32x32.led	(revision 166)
+++ XMLIO_V2/dev/dev_rv/rsrc/logoIPSL_32x32.led	(revision 166)
@@ -0,0 +1,36 @@
+logoIPSL_32x32 = IMAGERGB
+(32, 32,
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 50, 102, 153, 50, 102, 153, 51, 102, 153, 51, 102, 153, 50, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 50, 101, 152, 44, 95, 148, 53, 99, 150, 58, 105, 154, 50, 102, 154, 50, 102, 153, 61, 106, 155, 55, 101, 151, 45, 96, 149, 49, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 48, 100, 151, 52, 102, 152, 67, 117, 164, 94, 151, 189, 51, 142, 189, 33, 139, 191, 2, 125, 184, 0, 125, 185, 36, 141, 193, 27, 124, 176, 80, 142, 184, 65, 114, 161, 52, 101, 152, 49, 101, 152, 51, 102, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 45, 96, 148, 91, 134, 175, 101, 167, 204, 62, 153, 198, 71, 153, 197, 63, 150, 196, 52, 145, 193, 39, 140, 190, 20, 128, 183, 2, 123, 181, 3, 123, 181, 2, 122, 180, 3, 121, 180, 74, 151, 194, 76, 116, 160, 49, 100, 151, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 50, 98, 149, 110, 164, 198, 94, 165, 203, 97, 169, 209, 112, 176, 210, 112, 175, 209, 113, 181, 218, 96, 168, 207, 83, 165, 209, 45, 123, 164, 27, 132, 185, 6, 124, 182, 3, 117, 172, 4, 123, 180, 0, 120, 180, 18, 129, 185, 99, 148, 186, 48, 98, 150, 51, 102, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 50, 101, 152, 45, 95, 147, 117, 172, 206, 87, 151, 187, 26, 34, 39, 128, 176, 201, 4, 4, 4, 53, 63, 68, 13, 13, 13, 123, 173, 200, 23, 37, 45, 45, 84, 105, 13, 21, 26, 22, 122, 172, 0, 25, 38, 4, 96, 141, 3, 125, 183, 3, 122, 180, 0, 123, 182, 85, 142, 184, 49, 99, 150, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 49, 99, 151, 120, 170, 201, 95, 169, 209, 122, 170, 199, 34, 39, 42, 162, 192, 208, 35, 39, 41, 209, 234, 248, 21, 24, 26, 126, 157, 174, 22, 25, 26, 54, 78, 91, 66, 129, 164, 49, 151, 202, 8, 30, 43, 4, 100, 147, 3, 124, 183, 3, 122, 180, 4, 123, 181, 3, 125, 183, 82, 128, 171, 49, 100, 151, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 50, 101, 152, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 45, 96, 149, 86, 131, 173, 82, 161, 202, 122, 183, 217, 145, 183, 204, 39, 46, 50, 204, 214, 222, 23, 23, 24, 147, 146, 147, 184, 187, 188, 212, 228, 238, 126, 156, 173, 117, 163, 187, 32, 48, 56, 32, 78, 106, 15, 39, 52, 4, 101, 148, 4, 128, 188, 3, 123, 181, 3, 122, 180, 3, 122, 180, 18, 130, 185, 62, 111, 159, 51, 102, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 48, 98, 150, 102, 170, 208, 95, 165, 203, 138, 190, 217, 165, 195, 211, 42, 41, 41, 217, 219, 222, 40, 41, 43, 255, 255, 255, 255, 255, 255, 239, 246, 252, 25, 27, 28, 85, 108, 120, 28, 46, 55, 54, 110, 143, 16, 41, 55, 4, 35, 52, 4, 47, 68, 3, 82, 121, 4, 123, 181, 4, 123, 181, 2, 122, 181, 73, 138, 182, 46, 97, 149, 50, 102, 153, 51, 102, 153, 50, 101, 152, 50, 101, 152, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 86, 134, 176, 58, 152, 198, 103, 171, 209, 138, 190, 217, 186, 221, 240, 218, 225, 231, 254, 254, 254, 241, 241, 241, 255, 255, 255, 255, 255, 255, 250, 251, 253, 212, 237, 251, 136, 173, 193, 111, 165, 198, 82, 163, 205, 40, 135, 183, 5, 114, 167, 2, 111, 163, 3, 118, 175, 3, 122, 180, 3, 122, 181, 3, 122, 180, 42, 145, 195, 69, 114, 160, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 49, 100, 151, 87, 153, 195, 46, 145, 194, 46, 82, 102, 121, 161, 182, 122, 149, 164, 175, 187, 194, 198, 198, 198, 210, 210, 209, 196, 195, 195, 207, 207, 206, 183, 190, 196, 161, 173, 182, 117, 147, 164, 119, 179, 214, 45, 97, 122, 31, 102, 143, 2, 93, 137, 4, 123, 182, 4, 123, 181, 3, 122, 180, 4, 123, 181, 3, 122, 180, 2, 123, 182, 71, 133, 174, 50, 101, 152, 50, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 100, 152, 52, 139, 186, 48, 145, 195, 70, 133, 167, 44, 64, 73, 119, 143, 157, 93, 105, 113, 103, 107, 111, 116, 116, 116, 144, 144, 144, 115, 117, 119, 114, 121, 125, 110, 130, 142, 61, 81, 90, 93, 149, 180, 36, 82, 107, 8, 50, 72, 4, 80, 117, 4, 124, 182, 4, 122, 180, 4, 123, 181, 4, 122, 180, 4, 122, 180, 0, 120, 180, 67, 137, 178, 48, 99, 151, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 39, 135, 184, 26, 110, 155, 60, 138, 180, 107, 173, 209, 117, 165, 195, 169, 207, 228, 169, 193, 208, 193, 218, 234, 212, 231, 244, 190, 210, 223, 164, 198, 217, 135, 174, 195, 110, 167, 197, 88, 165, 208, 45, 128, 170, 14, 127, 184, 3, 111, 163, 3, 126, 186, 4, 127, 186, 4, 127, 186, 4, 121, 177, 3, 119, 176, 1, 124, 183, 35, 108, 156, 82, 123, 165, 49, 100, 152, 51, 101, 152, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 40, 123, 173, 6, 72, 106, 25, 56, 81, 41, 84, 106, 41, 74, 92, 83, 118, 139, 91, 122, 138, 79, 99, 111, 81, 100, 112, 89, 116, 130, 57, 81, 93, 62, 99, 119, 33, 62, 77, 38, 92, 120, 14, 63, 89, 2, 52, 78, 3, 50, 74, 4, 77, 113, 4, 54, 80, 4, 50, 73, 3, 53, 79, 4, 69, 103, 3, 128, 188, 14, 90, 139, 76, 110, 146, 56, 105, 155, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 49, 99, 151, 46, 120, 164, 1, 85, 126, 3, 58, 87, 34, 100, 137, 54, 121, 156, 48, 85, 110, 81, 135, 164, 70, 106, 126, 79, 122, 145, 54, 102, 127, 75, 125, 152, 48, 96, 121, 46, 114, 150, 13, 74, 107, 3, 72, 107, 3, 89, 132, 4, 85, 125, 4, 80, 117, 4, 63, 93, 3, 85, 126, 4, 85, 125, 4, 72, 107, 4, 130, 190, 1, 80, 134, 17, 67, 113, 68, 115, 163, 51, 101, 152, 50, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 100, 151, 66, 139, 185, 0, 121, 182, 3, 125, 185, 15, 130, 186, 37, 139, 190, 57, 151, 199, 70, 155, 200, 77, 160, 204, 77, 159, 204, 75, 160, 205, 61, 152, 198, 47, 146, 195, 25, 133, 187, 6, 127, 185, 3, 124, 183, 4, 125, 183, 3, 125, 183, 4, 126, 185, 4, 125, 184, 4, 125, 183, 3, 125, 184, 3, 125, 184, 7, 128, 187, 24, 77, 116, 0, 47, 100, 76, 117, 157, 49, 101, 153, 51, 102, 152, 
+  51, 102, 153, 51, 102, 153, 50, 101, 152, 50, 101, 152, 84, 126, 169, 3, 126, 184, 3, 122, 180, 3, 122, 180, 2, 123, 181, 17, 128, 183, 26, 133, 187, 31, 135, 187, 32, 136, 187, 27, 133, 186, 22, 131, 185, 8, 124, 181, 2, 122, 180, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 3, 123, 181, 20, 118, 166, 4, 49, 98, 0, 46, 97, 70, 114, 158, 50, 101, 152, 50, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 53, 100, 151, 71, 145, 189, 3, 122, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 3, 122, 180, 3, 122, 180, 3, 122, 180, 3, 122, 180, 3, 122, 180, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 122, 180, 4, 124, 181, 12, 73, 120, 0, 49, 101, 0, 48, 100, 68, 113, 156, 49, 101, 152, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 49, 100, 152, 59, 113, 161, 10, 126, 184, 3, 122, 180, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 2, 124, 183, 19, 117, 168, 7, 53, 101, 1, 51, 102, 0, 49, 101, 71, 115, 158, 50, 101, 152, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 100, 151, 84, 137, 178, 1, 123, 181, 4, 123, 181, 4, 123, 180, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 3, 122, 180, 4, 123, 181, 8, 120, 174, 39, 68, 90, 3, 51, 102, 0, 49, 101, 13, 60, 106, 70, 116, 163, 50, 101, 152, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 43, 95, 147, 87, 144, 185, 4, 122, 181, 2, 122, 180, 4, 123, 181, 3, 122, 180, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 3, 122, 180, 4, 122, 180, 3, 123, 182, 4, 121, 178, 62, 77, 88, 0, 50, 104, 1, 50, 102, 0, 49, 101, 27, 73, 118, 61, 109, 158, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 49, 100, 151, 73, 121, 165, 37, 140, 190, 0, 118, 178, 4, 123, 181, 4, 123, 180, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 123, 181, 4, 122, 180, 4, 123, 180, 0, 126, 186, 15, 107, 153, 70, 72, 73, 3, 53, 103, 2, 51, 102, 0, 50, 102, 5, 55, 101, 65, 113, 159, 49, 100, 151, 50, 101, 152, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 48, 99, 150, 59, 108, 156, 75, 136, 179, 40, 139, 190, 0, 123, 182, 0, 119, 180, 0, 121, 181, 2, 121, 180, 1, 122, 181, 0, 122, 182, 2, 126, 186, 6, 129, 186, 18, 108, 154, 35, 81, 108, 26, 57, 90, 2, 52, 103, 2, 51, 102, 0, 49, 102, 0, 46, 97, 59, 103, 147, 49, 101, 152, 51, 102, 153, 51, 102, 153, 50, 101, 152, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 46, 97, 150, 58, 105, 154, 90, 134, 175, 93, 148, 183, 30, 116, 165, 19, 113, 165, 25, 111, 159, 30, 109, 154, 24, 86, 127, 15, 59, 103, 3, 47, 97, 0, 49, 103, 3, 52, 102, 0, 49, 102, 0, 48, 100, 8, 55, 103, 61, 104, 146, 53, 105, 156, 50, 101, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 50, 101, 152, 49, 101, 152, 69, 110, 152, 1, 49, 99, 0, 47, 98, 0, 48, 99, 0, 49, 101, 0, 50, 102, 0, 49, 101, 0, 49, 101, 0, 50, 102, 0, 48, 99, 27, 73, 118, 81, 125, 169, 49, 101, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 57, 106, 156, 64, 108, 153, 43, 85, 127, 49, 88, 130, 9, 57, 104, 24, 69, 113, 38, 81, 125, 42, 87, 131, 65, 111, 157, 53, 103, 154, 50, 101, 152, 50, 101, 152, 50, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 101, 152, 51, 102, 153, 50, 101, 152, 48, 99, 151, 54, 106, 156, 67, 114, 162, 60, 107, 155, 61, 109, 157, 58, 108, 158, 52, 104, 155, 49, 100, 151, 51, 102, 153, 50, 101, 152, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 50, 102, 153, 51, 102, 153, 51, 102, 153, 51, 101, 152, 51, 102, 153, 51, 102, 153, 51, 101, 152, 50, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 
+  51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153, 51, 102, 153
+)
+
Index: XMLIO_V2/dev/dev_rv/rsrc/xmlio_gui.led
===================================================================
--- XMLIO_V2/dev/dev_rv/rsrc/xmlio_gui.led	(revision 166)
+++ XMLIO_V2/dev/dev_rv/rsrc/xmlio_gui.led	(revision 166)
@@ -0,0 +1,74 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+#                                                                              #
+#         * Copyright Â© OZDOBA HervÃ© (herve.ozdoba@lsce.ipsl.fr) *             #
+#                   * Â© MEURDESOIF Yann (yann.meurdesoif@cea.fr) *             #
+#                                    * Avril 2010 - Octobre 2011 *             #
+#                                                                              #
+################################################################################
+
+################################################################################
+#                              Menu principal                                  #
+################################################################################
+item_new  = item ("Nouveau"    , NULL)
+item_open = item ("Ouvrir"     , NULL)
+item_save = item ("Enregistrer", NULL)
+item_exit = item ("Quitter"    , NULL)
+
+menu_file = menu 
+(item_new, item_open, item_save, separator(),item_exit)
+
+submenu_file = submenu("Fichier", menu_file)
+
+main_menu  = menu(submenu_file)
+
+################################################################################
+#                              Arborescence d'objets                           #
+################################################################################
+
+tree_node = TREE()
+
+################################################################################
+#            Description de la fenÃªtre principale du programme                 #
+################################################################################
+
+main_dialog = DIALOG
+[
+   TITLE = "XMLIO - Graphical User Interface",
+   MENU  = main_menu,
+   SIZE  = "HALFxHALF",
+   BACKGROUND = "0 0 0"
+]
+(
+   VBOX
+   [MARGIN=10x10, GAP=10]
+   (
+      TABS
+      (
+         FRAME[TABTITLE="Configuration du serveur"]
+         (
+            tree_node = TREE()
+         ),
+         FRAME[TABTITLE="Exploitation de fichier netCDF4"]
+         (
+            VBOX
+            (
+               FILL(),
+               TREE()
+            )
+         ),
+         FRAME[TABTITLE="Visualisation rapide des donnÃ©es"]
+         (
+            GLCANVAS(NULL)
+         ),
+         FRAME[TABTITLE="Reconstruction de fichiers"]
+         (
+            VBOX
+            (
+               FILL(),
+               TREE()
+            )
+         )
+      )
+   )
+)
Index: XMLIO_V2/dev/dev_rv/xmlioserver.geany
===================================================================
--- XMLIO_V2/dev/dev_rv/xmlioserver.geany	(revision 165)
+++ XMLIO_V2/dev/dev_rv/xmlioserver.geany	(revision 166)
@@ -19,13 +19,7 @@
 
 [files]
-current_page=1
-FILE_NAME_0=526;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/axis.hpp;0;3
-FILE_NAME_1=1675;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/axis.cpp;0;3
-FILE_NAME_2=168;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/context.hpp;0;3
-FILE_NAME_3=0;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/onetcdf4.cpp;0;3
-FILE_NAME_4=217;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/onetcdf4.hpp;0;3
-FILE_NAME_5=48;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/nc4_data_output.cpp;0;3
-FILE_NAME_6=201;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/nc4_data_output.hpp;0;3
-FILE_NAME_7=3286;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/array_impl.hpp;0;3
+current_page=0
+FILE_NAME_0=2292;None;0;16;0;1;0;/work/dev_rv/rsrc/xmlio_gui.led;0;3
+FILE_NAME_1=0;Make;0;16;1;1;0;/work/dev_rv/Makefile.wk;0;3
 
 [build-menu]